Protege 4.1 Beta Release Notes

From Protege Wiki

Jump to: navigation, search


Protege 4.1 Beta

Users:

We strongly recommend that users of the 4.0.* series of Protege upgrade to this latest 4.1 beta release. The Protege 4.0.2 release does not provide complete support for the OWL 2 language specification.


-- Protege 4.1 beta is fully conformant with the OWL 2.0 language specification, which is a W3C recommendation as of October 27, 2009.

-- Protege 4.1 beta has an automatic update mechanism for distributing new features and bug fixes. This mechanism allows us to be more responsive to issues reported on the Protege 4 mailing list, and will result in faster progress toward a formal release.

-- We've expanded and improved upon Protege's distribution formats:

    -- The OS X community now has the option to download Protege in the application bundle format.
    -- The platform-independent installer program is redesigned for use on multi-user operating systems. Administrators can install a single, read-only copy of Protege on systems with many users sharing system access.


Developers:

Protege 4.1 beta is based on version 3.0.0 of the OWL API (first version of the OWL API conformant with the OWL 2.0 language specification). Version 3.0.0 has some incompatibilities with previous versions of the the OWL API. Consequenctly, plug-ins developed for Protege 4.1 will not be backwards compatible with Protege 4.0.*. We strongly recommend that new development be done against the 4.1 version of Protege as this is the focus of future work.

Personal tools